%define name razor-agents
%define version 2.36
%define release 1tvd

Summary:	Perl agents and modules for accessing/using Vipul's Razor.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Copyright  1999-2002, Vipul Ved Prakash. This software is distributed under the Artistic License.
Group:		System/Mail
Requires:	perl >= 5.004 perl(Digest::SHA1) perl(Net::Ping) perl(Net::DNS) perl(Time::HiRes) perl(Mail::Internet) perl(Digest::HMAC) perl(Digest::Nilsimsa) perl(Test::Simple)
Source:		http://prdownloads.sourceforge.net/razor/%{name}-%{version}.tar.gz
Prefix:		%{_prefix}
Buildroot:	%{_tmppath}/%{name}-root
Patch0: razor-taint.patch

%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%description

Vipul's Razor is a distributed, collaborative, spam detection and
filtering network. Razor establishes a distributed and constantly
updating catalogue of spam in propagation. This catalogue is used
by clients to filter out known spam.  Prior to manual processing or
transport-level reception, Razor Filtering Agents (end-users and MTAs)
check their incoming mail against a Catalogue Server and filter out
or deny transport in case of a signature match. Catalogued spam, once
identified and reported by a Reporting Agent, can be blocked out by the
rest of the Filtering Agents on the network.

%prep -q
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL PREFIX=%{_prefix}
%{__make} OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}
%{__make} test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installsitearch'`
mkdir -p $RPM_BUILD_ROOT/$installsitearch
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_mandir}/man3 INSTALLMAN5DIR=$RPM_BUILD_ROOT%{_mandir}/man5 PERL5LIB=$RPM_BUILD_ROOT/$installsitearch pure_perl_install
ln -s razor-client $RPM_BUILD_ROOT%{_prefix}/bin/razor-check
ln -s razor-client $RPM_BUILD_ROOT%{_prefix}/bin/razor-revoke
ln -s razor-client $RPM_BUILD_ROOT%{_prefix}/bin/razor-report
ln -s razor-client $RPM_BUILD_ROOT%{_prefix}/bin/razor-admin


[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr ! -type d -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc INSTALL README FAQ Changes BUGS CREDITS 

%changelog
* Fri Feb 14 2003 Theo Van Dinter <felicity@kluge.net> -1tvd
- do a "make pure_perl_install" to get everything

* Fri Feb 14 2003 Theo Van Dinter <felicity@kluge.net> -0tvd
- unknown date, but upgraded to 2.22

* Tue Oct 15 2002 Theo Van Dinter <felicity@kluge.net> -0tvd
- Upgraded to 2.20

* Sat Jun 22 2002 Theo Van Dinter <felicity@kluge.net>
- Added patch for bad bug in razor 2.10 (sees all messages as blank)

* Sat Jun 22 2002 Theo Van Dinter <felicity@kluge.net>
- Updated to 2.10

* Mon Jun 17 2002 Theo Van Dinter <felicity@kluge.net>
- Updated to 2.08

* Sat Jun 15 2002 Theo Van Dinter <felicity@kluge.net>
- Updated to 2.05

* Thu Jun 13 2002 Theo Van Dinter <felicity@kluge.net>
- Updated to 2.02

* Mon Jan  7 2002 Theo Van Dinter <felicity@kluge.net>
- Added a bunch of requires which are needed.

* Fri Dec 28 2001 Theo Van Dinter <felicity@kluge.net>
- Created
